=== debian/control ===
Source: dde-kwin
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9),
 cmake
Standards-Version: 3.9.8
Homepage: https://github.com/linuxdeepin/dde-kwin

Package: dde-kwin
Architecture: any
Depends: ${misc:Depends},
 deepin-kwin-x11 (>= 4:6.0.0),
 deepin-kwin-wayland (>= 4:6.0.0),
Breaks: deepin-kwin-data (<< 4:6.0.0~),
Description: KWin configures/plugins on the DDE
 Let kwin work well in the Deepin Desktop Environment.

Package: dde-kwin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Developer package of dde-kwin
 Provide dde-kwin plugin implementation basis files.
