=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_test:
	:
