=== scripts/CMakeLists.txt ===
install(
    DIRECTORY
    screenedge/runcommandaction
    screenedge/closewindowaction
    ddeshortcuts
    ddelaunchpad
    gtkframe
    DESTINATION
    ${CMAKE_INSTALL_DATADIR}/kwin/scripts
)
