## dde-kwin 6.0.5

=== debian/changelog ===
dde-kwin (6.0.5) unstable; urgency=medium

  * fix: resolve dde-kwin configuration hang

 -- shining <shining@uniontech.com>  Mon, 22 Dec 2025 15:59:09 +0800
