## dde-kwin 6.0.6

=== debian/changelog ===
dde-kwin (6.0.6) unstable; urgency=medium

  * chore: change user_type default to 1

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Mon, 5 Jan 2026 15:59:09 +0800
