=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: dde-kwin
 Architecture: any
 Depends: ${misc:Depends},
- deepin-kwin-x11 (>= 4:6.0.0),
- deepin-kwin-wayland (>= 4:6.0.0),
+ kwin-x11 (>= 4:6.1.0),
+ kwin-wayland (>= 4:6.1.0),
 Breaks: deepin-kwin-data (<< 4:6.0.0~),
 Description: KWin configures/plugins on the DDE
  Let kwin work well in the Deepin Desktop Environment.
